package com.eurekaclient.eurekaclientuserservice;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;

/*
<code>@SpringBootApplication</code>: This annotation marks the class as a Spring Boot application and combines <code>@Configuration</code>, <code>@EnableAutoConfiguration</code>, and <code>@ComponentScan</code> annotations. It serves as the entry point for the Spring Boot application, enabling auto-configuration and component scanning.

<code>@EnableDiscoveryClient</code>: Specific to Spring Cloud, this annotation configures the microservice to act as a discovery client, interacting with a service registry like Eureka. It enables registration with the service registry and facilitates the discovery and communication with other registered services.

<code>public static void main(String[] args)</code>: This method is the application's main entry point, executed when the application is launched. It initiates the Spring Boot application.

<code>SpringApplication.run(EurekaclientUserserviceApplication.class, args)</code>: This line starts the Spring Boot application by initializing the Spring context and loading the configuration, using <code>EurekaclientUserserviceApplication.class</code> as the main class and <code>args</code> for any command-line arguments.
 */
@SpringBootApplication
@EnableDiscoveryClient
public class EurekaclientUserserviceApplication {

    public static void main(String[] args) {
        SpringApplication.run(EurekaclientUserserviceApplication.class, args);
    }
}
